Subject: [Spits] GT6 Mark 1 seats

From: Roger Elliott <[email-masked]>
Date: Tue, 27 May 2014 18:57:27 -0500

Hi,

Has anyone redone their mark 1 seats?

I have an upholstery kit from Newton in England.  It appears to be well 
made.
However, the top of the side pieces aren't molded and when I try to form 
them to the foam, I end up with the top of the curve bunched together 
where it goes around the top corner, instead of the smooth curve on the 
original.

Is there a way around that?  Heating?

Thanks,
Roger Elliott
68 GT6 Mark 1
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive